<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid</title>
    <style>
        html,
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: grid;

            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 50px;

        }

        #container div {
            border: 1px solid black;
        }

        #header {}

        #top-nav {}

        #main-nav {
            grid-row: 1 / 5;
            grid-column: 1 / 2;
        }

        #main {}

        #footer {}

        @media (max-width: 600px) {

            #container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
            }

            #header {
                grid-row: 1 / 2;
                grid-column: 1 / 2;
            }

            #footer {
                grid-row: 2 / 3;
                grid-column: 1 / 2;
            }

            #main-nav {
                grid-row: 3 / 4;
                grid-column: 1 / 2;
            }

            #main {
                grid-row: 4 / 5;
                grid-column: 1 / 2;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="top-nav">Top Nav</div>
        <div id="main-nav">Main Nav</div>
        <div id="main">Main</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>